SecP256R1FieldTest (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.math.ec.custom.sec.test

## Class SecP256R1FieldTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - org.bouncycastle.math.ec.custom.sec.test.SecP256R1FieldTest

- All Implemented Interfaces:
    junit.framework.Test

      public class SecP256R1FieldTest
      extends junit.framework.TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecP256R1FieldTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `testMultiply_OpenSSLBug()` Test multiplication with specifically selected values that triggered a bug in the modular reduction in OpenSSL (last affected version 0.9.8g).
    `void` | `testMultiply1()`
    `void` | `testMultiply2()`
    `void` | `testSquare_OpenSSLBug()` Test squaring with specifically selected values that triggered a bug in the modular reduction in OpenSSL (last affected version 0.9.8g).
    `void` | `testSquare()`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SecP256R1FieldTest

          public SecP256R1FieldTest()

  - ### Method Detail

    - #### testMultiply1

          public void testMultiply1()

    - #### testMultiply2

          public void testMultiply2()

    - #### testSquare

          public void testSquare()

    - #### testMultiply_OpenSSLBug

          public void testMultiply_OpenSSLBug()

      Test multiplication with specifically selected values that triggered a bug in the modular reduction in OpenSSL (last affected version 0.9.8g). See "Practical realisation and elimination of an ECC-related software bug attack", B. B. Brumley, M. Barbarosa, D. Page, F. Vercauteren.

    - #### testSquare_OpenSSLBug

          public void testSquare_OpenSSLBug()

      Test squaring with specifically selected values that triggered a bug in the modular reduction in OpenSSL (last affected version 0.9.8g). See "Practical realisation and elimination of an ECC-related software bug attack", B. B. Brumley, M. Barbarosa, D. Page, F. Vercauteren.